Query Application instance snapshot (GET /v1/apps/instances/snapshot/id/{id})
GET /api/v1/apps/instances/snapshot/id/. Edge applications API reference.
Query Application instance snapshot
curl --request GET \
--url https://{apiHost}/api/v1/apps/instances/snapshot/id/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{apiHost}/api/v1/apps/instances/snapshot/id/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{apiHost}/api/v1/apps/instances/snapshot/id/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"name": "<string>",
"id": "<string>",
"state": "INVALID",
"config": {
"name": "<string>",
"title": "<string>",
"projectId": "<string>",
"appId": "<string>",
"deviceId": "<string>",
"activate": true,
"id": "<string>",
"description": "<string>",
"revision": {
"curr": "<string>",
"createdAt": {},
"createdBy": "<string>",
"updatedAt": {},
"updatedBy": "<string>",
"prev": "<string>"
},
"tags": {},
"clusterID": "<string>",
"vminfo": {
"cpus": 123,
"memory": 123,
"mode": "HV_PV",
"vnc": true,
"vncDisplay": 123,
"cpuPinningEnabled": true,
"vmmMaxmem": 123,
"bootloaderMode": "VM_BOOTLOADER_MODE_UNSPECIFIED",
"enableOemWinLicenseKey": true,
"disableVTPM": true
},
"drives": [
{
"imagename": "<string>",
"maxsize": 123,
"readonly": true,
"preserve": true,
"drvtype": "<string>",
"target": "<string>",
"volumelabel": "<string>",
"mvolname": "<string>",
"imvolname": "<string>",
"ignorepurge": true,
"cleartext": true,
"mountpath": "<string>",
"runtimeInternal": true
}
],
"interfaces": [
{
"intfname": "<string>",
"netname": "<string>",
"io": {
"type": "IO_TYPE_UNSPECIFIED",
"name": "<string>",
"tags": {}
},
"intforder": 123,
"directattach": true,
"privateip": true,
"acls": [
{
"matches": [
{
"type": "<string>",
"value": "<string>"
}
],
"actions": [
{
"drop": true,
"limit": true,
"limitrate": 123,
"limitunit": "<string>",
"limitburst": 123,
"portmap": true,
"mapparams": {
"port": 123
}
}
],
"id": 123,
"name": "<string>"
}
],
"ipaddr": "<string>",
"macaddr": "<string>",
"accessVlanId": 2047.5,
"eidregister": {
"AppCert": "aSDinaTvuI8gbWludGxpZnk=",
"AppPublicKey": "aSDinaTvuI8gbWludGxpZnk=",
"AppPrivateKey": "aSDinaTvuI8gbWludGxpZnk=",
"UUID": "<string>",
"DisplayName": "<string>",
"LispInstance": 123,
"EID": "<string>",
"EIDHashLen": 123,
"LispSignature": "<string>",
"LispMapServers": [
{
"nameOrIp": "<string>",
"credential": "<string>"
}
]
},
"netinstname": "<string>",
"netinsttag": {},
"netinstid": "<string>",
"defaultNetInstance": true,
"allowToDiscover": true
}
],
"userData": "<string>",
"customConfig": {
"name": "<string>",
"add": true,
"override": true,
"allowStorageResize": true,
"fieldDelimiter": "<string>",
"template": "<string>",
"variableGroups": [
{
"name": "<string>",
"variables": [
{
"format": "VARIABLE_FORMAT_TEXT",
"name": "username",
"label": "Enter User Name",
"required": "True"
}
],
"required": true,
"condition": {
"name": "<string>",
"value": "<string>",
"operator": "CONDITION_OPERATOR_UNSPECIFIED"
}
}
]
},
"collectStatsIPAddr": "<string>",
"bundleversion": "<string>",
"logs": {
"access": true
},
"restart": {
"counter": 123,
"opsTime": {}
},
"refresh": {
"counter": 123,
"opsTime": {}
},
"purge": {
"counter": 123,
"opsTime": {}
},
"remoteConsole": true,
"encryptedSecrets": {},
"cryptoKey": "<string>",
"manifestInfo": {
"bundleVersion": "<string>",
"nextBundleVersion": "<string>",
"transitionAction": "INSTANCE_TA_UNSPECIFIED",
"params": {},
"details": {
"cause": "TRANS_CAUSE_UNSPECIFIED",
"severity": "<string>",
"scope": {
"type": "OBJECT_TYPE_UNSPECIFIED",
"id": "<string>"
}
},
"enablevnc": true
},
"appType": "APP_TYPE_UNSPECIFIED",
"isSecretUpdated": true,
"appPolicyId": "<string>",
"deploymentType": "DEPLOYMENT_TYPE_UNSPECIFIED",
"userDefinedVersion": "<string>",
"startDelayInSeconds": 123,
"cloudInitVersion": 123,
"allowSnapshots": true,
"maxSnapshots": 123,
"availableSnapshots": "<array>",
"patchEnvelopeId": "<string>",
"patchEnvelopeName": "<string>",
"edgeNodeCluster": {
"id": "<string>",
"designatedNodeID": "<string>",
"name": "<string>",
"enableAppPinning": true
},
"dockerComposeYamlText": "<string>",
"dockerComposeTarImageName": "<string>",
"datastoreIdList": [
"<string>"
],
"PersistentRuntimeSizeBytes": "<string>"
},
"activate": true,
"immediate": true
}{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"code": 123,
"message": "<string>",
"details": [
{
"typeUrl": "<string>",
"value": "aSDinaTvuI8gbWludGxpZnk="
}
]
}
Authentication · API availability · Download OpenAPI
A successful response.Unauthorized. The API gateway did not process the request because it lacks valid authentication credentials for the target resource. The request header has either no authorization details or an authorization that has been refused.Forbidden. The API gateway did not process the request because the requestor does not have application level access permission for the operation or does not have access scope to the project.Internal Server Error. The API gateway experienced an unexpected condition. Specific error condition is indicated in error codes.Gateway Timeout. The API gateway did not receive a timely response from an upstream microservice it needed to communicate with in order to complete the request.An unexpected error response.
Authorizations
Bearer token for user session
Headers
User-Agent specified id to track a request
Path Parameters
System defined universally unique Id of the app instance
Response
A successful response.
App instance snapshot
Snapshot name. Unique across the application instance
System defined universally unique Id of the app instance snapshot
Pattern:
[0-9A-Za-z-]+Status of the snapshot
Available options:
INVALID, IDLE, CREATING, CREATED, CREATE_FAILED, ROLLING_BACK, ACTIVE, ROLLBACK_FAILED, DELETING, DELETE_FAILED, DELETED The complete configuration of the application instance
Show child attributes
Show child attributes
Indicates whether the snapshot should be activated
Indicates that the snapshot should be taken immediately
Was this page helpful?
⌘I
Query Application instance snapshot
curl --request GET \
--url https://{apiHost}/api/v1/apps/instances/snapshot/id/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{apiHost}/api/v1/apps/instances/snapshot/id/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{apiHost}/api/v1/apps/instances/snapshot/id/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"name": "<string>",
"id": "<string>",
"state": "INVALID",
"config": {
"name": "<string>",
"title": "<string>",
"projectId": "<string>",
"appId": "<string>",
"deviceId": "<string>",
"activate": true,
"id": "<string>",
"description": "<string>",
"revision": {
"curr": "<string>",
"createdAt": {},
"createdBy": "<string>",
"updatedAt": {},
"updatedBy": "<string>",
"prev": "<string>"
},
"tags": {},
"clusterID": "<string>",
"vminfo": {
"cpus": 123,
"memory": 123,
"mode": "HV_PV",
"vnc": true,
"vncDisplay": 123,
"cpuPinningEnabled": true,
"vmmMaxmem": 123,
"bootloaderMode": "VM_BOOTLOADER_MODE_UNSPECIFIED",
"enableOemWinLicenseKey": true,
"disableVTPM": true
},
"drives": [
{
"imagename": "<string>",
"maxsize": 123,
"readonly": true,
"preserve": true,
"drvtype": "<string>",
"target": "<string>",
"volumelabel": "<string>",
"mvolname": "<string>",
"imvolname": "<string>",
"ignorepurge": true,
"cleartext": true,
"mountpath": "<string>",
"runtimeInternal": true
}
],
"interfaces": [
{
"intfname": "<string>",
"netname": "<string>",
"io": {
"type": "IO_TYPE_UNSPECIFIED",
"name": "<string>",
"tags": {}
},
"intforder": 123,
"directattach": true,
"privateip": true,
"acls": [
{
"matches": [
{
"type": "<string>",
"value": "<string>"
}
],
"actions": [
{
"drop": true,
"limit": true,
"limitrate": 123,
"limitunit": "<string>",
"limitburst": 123,
"portmap": true,
"mapparams": {
"port": 123
}
}
],
"id": 123,
"name": "<string>"
}
],
"ipaddr": "<string>",
"macaddr": "<string>",
"accessVlanId": 2047.5,
"eidregister": {
"AppCert": "aSDinaTvuI8gbWludGxpZnk=",
"AppPublicKey": "aSDinaTvuI8gbWludGxpZnk=",
"AppPrivateKey": "aSDinaTvuI8gbWludGxpZnk=",
"UUID": "<string>",
"DisplayName": "<string>",
"LispInstance": 123,
"EID": "<string>",
"EIDHashLen": 123,
"LispSignature": "<string>",
"LispMapServers": [
{
"nameOrIp": "<string>",
"credential": "<string>"
}
]
},
"netinstname": "<string>",
"netinsttag": {},
"netinstid": "<string>",
"defaultNetInstance": true,
"allowToDiscover": true
}
],
"userData": "<string>",
"customConfig": {
"name": "<string>",
"add": true,
"override": true,
"allowStorageResize": true,
"fieldDelimiter": "<string>",
"template": "<string>",
"variableGroups": [
{
"name": "<string>",
"variables": [
{
"format": "VARIABLE_FORMAT_TEXT",
"name": "username",
"label": "Enter User Name",
"required": "True"
}
],
"required": true,
"condition": {
"name": "<string>",
"value": "<string>",
"operator": "CONDITION_OPERATOR_UNSPECIFIED"
}
}
]
},
"collectStatsIPAddr": "<string>",
"bundleversion": "<string>",
"logs": {
"access": true
},
"restart": {
"counter": 123,
"opsTime": {}
},
"refresh": {
"counter": 123,
"opsTime": {}
},
"purge": {
"counter": 123,
"opsTime": {}
},
"remoteConsole": true,
"encryptedSecrets": {},
"cryptoKey": "<string>",
"manifestInfo": {
"bundleVersion": "<string>",
"nextBundleVersion": "<string>",
"transitionAction": "INSTANCE_TA_UNSPECIFIED",
"params": {},
"details": {
"cause": "TRANS_CAUSE_UNSPECIFIED",
"severity": "<string>",
"scope": {
"type": "OBJECT_TYPE_UNSPECIFIED",
"id": "<string>"
}
},
"enablevnc": true
},
"appType": "APP_TYPE_UNSPECIFIED",
"isSecretUpdated": true,
"appPolicyId": "<string>",
"deploymentType": "DEPLOYMENT_TYPE_UNSPECIFIED",
"userDefinedVersion": "<string>",
"startDelayInSeconds": 123,
"cloudInitVersion": 123,
"allowSnapshots": true,
"maxSnapshots": 123,
"availableSnapshots": "<array>",
"patchEnvelopeId": "<string>",
"patchEnvelopeName": "<string>",
"edgeNodeCluster": {
"id": "<string>",
"designatedNodeID": "<string>",
"name": "<string>",
"enableAppPinning": true
},
"dockerComposeYamlText": "<string>",
"dockerComposeTarImageName": "<string>",
"datastoreIdList": [
"<string>"
],
"PersistentRuntimeSizeBytes": "<string>"
},
"activate": true,
"immediate": true
}{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"code": 123,
"message": "<string>",
"details": [
{
"typeUrl": "<string>",
"value": "aSDinaTvuI8gbWludGxpZnk="
}
]
}